package org.example;

import org.springframework.boot.CommandLineRunner;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;

import java.util.Scanner;

@Component
@Profile("prod")
public class InteractiveRunner implements CommandLineRunner {

	private final HelloService helloService;

	public InteractiveRunner(HelloService helloService) {
		this.helloService = helloService;
	}

	@Override
	public void run(String[] args) {
		Scanner scanner = new Scanner(System.in);
		System.out.print("Your name: ");
		String name = scanner.nextLine();
		System.out.print("Your age: ");
		int age = Integer.parseInt(scanner.nextLine());
		String message = helloService.sayHello(name, age);
		System.out.println(message);
	}
}
