package org.example;

import org.springframework.boot.CommandLineRunner;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;

@Component
@Profile("dev")
public class SimpleRunner implements CommandLineRunner {

	private final HelloService helloService;

	public SimpleRunner(HelloService helloService) {
		this.helloService = helloService;
	}

	@Override
	public void run(String[] args) {
		System.out.println(helloService.sayHello("John", 16));
		System.out.println(helloService.sayHello("Mary", 21));
	}
}
